.blocks {
    display: flex;
    flex-direction: column; 
    justify-content: space-between;
    padding: 40px 20px;
    background-color: #f4f4f4;
    gap: 20px;
    text-align: center;
}

.block {
    display: flex !important;
    min-width: 300px;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    text-align: center;
}

.blocks h2 {
    font-size: 24px;
    margin-bottom: 15px;
    color: #222;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.image-container {
    margin: 15px;
    text-align: center;
}

.image-container img {
    height: 250px;
    width: 100%;
    object-fit: contain;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    margin-bottom: 8px;
    cursor: pointer;
}

.row .image-container img {
    object-fit: cover;
}

.image-container p {
	min-height: 20px;
    font-size: 16px;
    color: #555;
    text-transform: uppercase;
    font-weight: bold;
}

@media screen and (max-width: 769px) {
    .blocks h2 {
        font-size: 18px;
    }
    
}